| Qore DbDataProvider Module Reference 1.0

Public Member Functions | List of all members
DbDataProvider::DbTableBulkInserter Class Reference

Bulk insert object for tables. More...

Inheritance diagram for DbDataProvider::DbTableBulkInserter:
[legend]

## Public Member Functions
| constructor (DbTableDataProvider provider, AbstractTable table)
| Creates the object.
Public Member Functions inherited from DbDataProvider::AbstractDbTableBulkOperation
| constructor (DbTableDataProvider provider, AbstractBulkOperation bulk)
| Creates the object.
| discard ()
| Discards any buffered data. More...
| flush ()
| Flushes any remaining data to the data provider. More...
| queueData (hash< auto > record)
| Queues data in the buffer.
| queueData (list< hash< auto >> records)
| Queues data in the buffer.

## Additional Inherited Members
Protected Attributes inherited from DbDataProvider::AbstractDbTableBulkOperation
AbstractBulkOperation | bulk
| The actual bulk insert operation object.

## Detailed Description

Bulk insert object for tables.